For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch invoice templates
      • POSTCreate
      • GETGet
      • POSTUpdate
      • DELDelete
        • GETGet Attachments
        • POSTUpload Attachment
        • DELDelete Attachment
        • GETGet Invoice PDF
        • GETGet Check PDF
        • GETGet Source Email
Logo
Sign inBook a demo
API ReferenceInvoice TemplateDocument

Delete Attachment

DELETE
https://api.mercoa.com/invoice-template/:invoiceTemplateId/document/:documentId
DELETE
/invoice-template/:invoiceTemplateId/document/:documentId
$curl -X DELETE https://api.mercoa.com/invoice-template/invt_13c07096-5848-4aeb-ae7d-6576289034c4/document/doc_37e6af0a-e637-48fd-b825-d6947b38c4e2 \
> -H "Authorization: Bearer <token>"

Delete an attachment (scanned/uploaded PDFs and images) associated with this invoice template

Was this page helpful?
Previous

Get Invoice PDF

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoiceTemplateIdstringRequired
Invoice Template ID
documentIdstringRequired

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented